Table of Contents

## Name

XtAppCreateShell, XtVaAppCreateShell - create top-level widget instance

## Syntax

Widget XtAppCreateShell(String application_name, String
  application_class, WidgetClass widget_class, Display *display, ArgList args, Cardinal num_args);
Widget XtVaAppCreateShell(String application_name, String
  application_class, WidgetClass widget_class, Display *display, ...);

## Arguments

Specifies the name of the application instance.

Specifies the class name of this applicationAc.

Specifies the widget class that the application top-level widget should be.

Specifies the display from which to get the resources.

Specifies the argument list from which to get the resources.

Specifies the number of arguments in the argument list.

Specifies the variable argument list from which to get the resources.

## Description

The XtAppCreateShell function saves the specified application name and application class for qualifying all widget resource specifiers. The application name and application class are used as the left-most components in all widget resource names for this application. XtAppCreateShell should be used to create a new logical application within a program or to create a shell on another display. In the first case, it allows the specification of a new root in the resource hierarchy. In the second case, it uses the resource database associated with the other display.

Note that the widget returned by XtAppCreateShell has the WM_COMMAND property set for session managers (see Chapter 4).

## See Also

XtCreateWidget(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also